# MobileAttributes (Crawler-commons 1.2 API)
Date: 2021-10-08

crawlercommons.sitemaps.extension

## Class MobileAttributes

- java.lang.Object
- - crawlercommons.sitemaps.extension.ExtensionMetadata
  - - crawlercommons.sitemaps.extension.MobileAttributes

All Implemented Interfaces:
  Serializable

    public class MobileAttributes
    extends ExtensionMetadata

Google mobile sitemap attributes, see http://www.google.de/schemas/sitemap-mobile/1.0/ and https://www.google.com/schemas/sitemap-mobile/1.0/sitemap-mobile.xsd:

> Mobile sitemaps just contain an empty "mobile" tag to identify a URL as having mobile content.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MobileAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,String[]>` `asMap()`
`boolean` `equals(Object other)`
`String` `toString()`

### Methods inherited from class crawlercommons.sitemaps.extension.ExtensionMetadata

`isValid, urlEquals`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MobileAttributes

    public MobileAttributes()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object other)

Specified by:
  `equals` in class `ExtensionMetadata`

#### asMap

    public Map<String,String[]> asMap()

Specified by:
  `asMap` in class `ExtensionMetadata`